{% extends '::frontend.html.twig' %}

{% block body -%}
<div class="row">
		<div class="col-lg-12">
			<div class="panel panel-default">
				<div class="panel-heading">
					<h4>Lista de Recetas</h4>
				</div>
				<div class="panel-body">
					<table class="table table-striped table-bordered table-hover"
						id="dataTables-example">
						<thead>
                         
							<tr>
								<th>Id</th>
                                <th>Fecha</th>
                                <th>Descripcion</th>
                                <th>Firma</th>
                                <th>Sello</th>
								<th width="200">Acciones</th>		
							</tr>
						</thead>
						<tbody>
                        {% for entity in entities %}
								<tr>
									<td><a href="{{ path('receta_show', { 'id': entity.id }) }}">{{ entity.id }}</a></td>
                                    <td>{% if entity.fecha %}{{ entity.fecha|date('Y-m-d H:i:s') }}{% endif %}</td>
                                    <td>{{ entity.descripcion }}</td>
                                    {% if(entity.firma == 1) %}
                        				<td>{{ 'Si firmo' }}</td>
                  						{% else %}
                        					 <td>{{ 'No firmo' }}</td>
                 						 {% endif %}
									{% if(entity.sello == 1) %}
                        				<td>{{ 'Si esta Sellado' }}</td>
                  						{% else %}
                        					 <td>{{ 'No esta Sellado' }}</td>
                 						 {% endif %}

                                    <td width="200" align="center">
									<a href="{{ path('receta_show', { 'id': entity.id }) }}"
											class="btn btn-success custom-width">Detalle</a>
									
									<a href="{{ path('receta_edit', { 'id': entity.id }) }}" class="btn btn-danger custom-width">Editar</a>
								
									</td>
								</tr>
					{% endfor %}
						</tbody>
					</table>

				</div>
			</div>
			<div class="well">
					<a class="btn btn-success " href="{{ path('receta_new') }}">Nueva Receta</a>
						
			</div>
		</div>
	</div>

    {% endblock %}
